#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	python2		# CPython 2.x module
#
Summary:	A library to check account numbers and bank codes of German banks
Summary(pl.UTF-8):	Biblioteka do sprawdzania numerów kont i kodów bankowych niemieckich banków
Name:		ktoblzcheck
Version:	1.53
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
# Source0-md5:	5cedb258370acd22ec3d0c90e0e66fec
Patch0:		%{name}-static.patch
Patch1:		%{name}-python.patch
URL:		https://ktoblzcheck.sourceforge.net/
BuildRequires:	cmake >= 3.0
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
%{?with_python2:BuildRequires:	python-modules >= 1:2.6}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KtoBLZCheck is a library to check account numbers and bank codes of
German banks.

Both a library for other programs as well as a short command-line tool
is available. It is possible to check pairs of account numbers and
bank codes (BLZ) of German banks, and to map bank codes (BLZ) to the
clear-text name and location of the bank.

%description -l pl.UTF-8
KtoBLZCheck to biblioteka do sprawdzania numerów kont i kodów
bankowych niemieckich banków.

Dostępna jest zarówno biblioteka jak i proste narzędzie działające z
linii poleceń. Pozwalają na sprawdzenie par numerów kont i kodów
bankowych (BLZ) niemieckich banków oraz na zamianę kodów bankowych
(BLZ) na tekstową nazwę oraz lokalizację banku.

%package devel
Summary:	Header files for KtoBLZCheck library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for KtoBLZCheck library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki KtoBLZCheck.

%package static
Summary:	Static KtoBLZCheck library
Summary(pl.UTF-8):	Statyczna biblioteka KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KtoBLZCheck library.

%description static -l pl.UTF-8
Statyczna biblioteka KtoBLZCheck.

%package apidocs
Summary:	API documentation for KtoBLZCheck library
Summary(pl.UTF-8):	Dokumentacja API biblioteki KtoBLZCheck
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for KtoBLZCheck library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki KtoBLZCheck.

%package -n python-ktoblzcheck
Summary:	Python 2 binding for KtoBLZCheck library
Summary(pl.UTF-8):	Wiązanie Pythona 2 dla biblioteki KtoBLZCheck
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-modules >= 1:2.6

%description -n python-ktoblzcheck
Python binding for KtoBLZCheck library.

%description -n python-ktoblzcheck -l pl.UTF-8
Wiązanie Pythona dla biblioteki KtoBLZCheck.

%package -n python3-ktoblzcheck
Summary:	Python 3 binding for KtoBLZCheck library
Summary(pl.UTF-8):	Wiązanie Pythona 3 dla biblioteki KtoBLZCheck
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-modules >= 1:3.2

%description -n python3-ktoblzcheck
Python binding for KtoBLZCheck library.

%description -n python3-ktoblzcheck -l pl.UTF-8
Wiązanie Pythona dla biblioteki KtoBLZCheck.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

# drop pythondir, wrongly joined
%{__sed} -i -e '/^pythondir=/d' ktoblzcheck.pc.in

%build
%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_STATIC=ON \
	-DENABLE_BANKDATA_DOWNLOAD=OFF

%{__make}
cd ..
%endif

install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_BINDIR=bin \
	-DCMAKE_INSTALL_DATADIR=share \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DENABLE_BANKDATA_DOWNLOAD=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT

# use the one from shared build
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/ktoblzcheck.pc
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}

%if %{with python2}
# module supports CPython 2.6+, but cmake prefers python3, in such case python2 module must be installed manually
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
cp -p src/python/ktoblzcheck.py $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/ibanchk
%attr(755,root,root) %{_bindir}/ktoblzcheck
%attr(755,root,root) %{_libdir}/libktoblzcheck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libktoblzcheck.so.1
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%{_mandir}/man1/ibanchk.1*
%{_mandir}/man1/ktoblzcheck.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktoblzcheck.so
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck.h
%{_libdir}/cmake/KtoBlzCheck
%{_pkgconfigdir}/ktoblzcheck.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libktoblzcheck.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/ktoblzcheck

%if %{with python2}
%files -n python-ktoblzcheck
%defattr(644,root,root,755)
%{py_sitescriptdir}/ktoblzcheck.py[co]
%endif

%files -n python3-ktoblzcheck
%defattr(644,root,root,755)
%{py3_sitescriptdir}/ktoblzcheck.py
%{py3_sitescriptdir}/__pycache__/ktoblzcheck.cpython-*.py[co]
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ktoblzcheck.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 881e115
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c87db23
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d84debd
- python 3.13 rebuild

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 7c8fff8
- updated to 1.53 (uses cmake now); added python3- package

* Tue Feb 07 2017 Jakub Bogusz <qboosh@pld-linux.org> b8d48d7
- updated to 1.48

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 97e7401
- release 3 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> cc8c387
- release 2 (by relup.sh)

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> fd83ac0
- updated to 1.45

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 94b2517
- updated to 1.43

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> d35090e
- updated to 1.42

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 3599cd6
- updated to 1.41

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 0899899
- updated to 1.40

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a3b00da
- updated to 1.39

* Tue Apr 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 0a852ec
- updated to 1.38

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> f8febbc
- updated to 1.37

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> aea7690
- updated to 1.36

* Thu Sep 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 5114b5c
- updated to 1.35

* Fri Jun 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 75fa686
- updated to 1.33
- removed obsolete soname patch

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 98f8a94
- updated to 1.32
- added soname patch (revert accidental soname decrease)

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 1d040bc
- Up to 1.31

